export const tableHeader = selectEquiType => {

	// 1：物料；4：生产设备; 5：模具；6：备品备件; 7：周转车；8：舟皿；9：产品；10：消耗材料，11：干燥区，12.质检，13.包装材料，14.工装夹具 ，15.刀具 ,99.其他
	switch (+selectEquiType) {
		case 1:
			return [



				{
					label: '名称',
					prop: 'name'
				},

				{
					label: '型号',
					prop: 'modelType'
				},
				{
					label: '规格',
					prop: 'specification'
				},
				{
					label: '牌号',
					prop: 'brandNum'
				}
			]
		case 5:
			return [{
					label: '',
					prop: ['name', 'code'],
					write: false,
					extInfo: false
				},

				{
					label: '模具编号',
					prop: 'codeNumber',
					write: false,
					extInfo: false
				},


				{
					label: '已冲压次数',
					prop: 'startCyTimes',
					write: false,
					extInfo: true
				},



				{
					label: '最大冲压次数',
					prop: 'maxCyTimes',
					write: false,
					extInfo: true
				},



			]


		case 7:
			return [{
					label: '规格',
					prop: 'specification'
				},
				{
					label: '材质',
					prop: 'texture',
					formatter(row) {
						if (!row?.extendField) return ''
						const extendField = JSON.parse(row.extendField)
						return extendField.texture
					}
				},
				{
					label: '长宽高',
					prop: '',
					formatter(row) {
						if (!row?.extendField) return ''
						const extendField = JSON.parse(row.extendField)
						return `${extendField.length || '-'}*${extendField.width || '-'}*${
											  extendField.high || '-'
											}`
					}
				}
			]


		case 8: //'舟皿'
			return [{
					label: '规格',
					prop: 'specification'
				},
				{
					label: '型号',
					prop: 'modelType'
				},
				{
					label: '槽数',
					prop: '',
					formatter(row) {
						return row.extInfo.slotNum
					}
				},


			]
		case 10:
			return []

		case 13:
			return [

				{
					label: '规格',
					prop: 'specification'
				},

				{
					label: '型号',
					prop: 'modelType'
				},

			]

		case 14:
			return []

		case 23:
			return [

				{
					label: '名称',
					prop: 'name'
				},

				{
					label: '型号',
					prop: 'modelType'
				},
				{
					label: '规格',
					prop: 'specification'
				},
				{
					label: '牌号',
					prop: 'brandNum'
				}
			]

	}

	return []
}